/*
    Gn: A Server for the Internet Gopher Protocol(*).
    File: mkcache/mkcache.h
    Version 0.6
    
    Copyright (C) 1993  <by John Franks>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    (*) Gopher is a registered trademark of the Univ. of Minn.
*/

#include "../config.h"

#define streq( a, b)	( strcmp( (a), (b)) == 0 )

#define	MAXLEN	(2048)

#ifndef TRUE
#define TRUE	(1)
#endif

#ifndef FALSE
#define FALSE	(0)
#endif

extern void	chop(),
		doform(),
		copy();

extern int	recurse;

extern char	*get_next_line(),
		item[],
		host[],
		type[],
		port[],
		path[],
		section[],
		separator[],
		myhost[],
		defaultport[],
		mfname[],
		cfname[],
		mfpath[],
		cfpath[];
